Subject: Re: CCL:WWW developments

From: "Gerald Loeffler" <[email-masked]>
Date: Thu, 4 Apr 1996 11:51:23 -0600

Hi!

On Apr 3,  7:40am, Steven Bachrach wrote:
> Subject: CCL:WWW developments
>
> I will probably get flamed for bringing up this subject as being too far
> removed from comp chem but here goes..
>
> I have been very impressed with a number of web developments like the Tripos
> fetch and sketch, and the molecular inventor work of SGI. (If you missed the
> demo of this at the ACS meeting, make sure to get your SGI rep or an MSI
> rep to show it to you!). I would like to use the plug-in Chime from MDL, but
> I'm not a windows user.
>
> Anyways, I would like to poll the community towards their attitudes and
> desires in terms of how they would like to see chemical displays develop on
> the web. The "old" technology was to provide a compound in one of a variety
> of formats (pdb, xyz, etc), attach a MIME type, and then allow the user to
> provide the molecular viewer locally (like Xmol or RasMol). With the
> development of Netscape 2, we now have the Java option (like "fetch and
> sketch") and the plug-in option (like chime). These latter options remove
> the user from selecting the visualization tool. While this has advantages:
> everyone now views the structure in the identical way, no need for the user
> to have the appropriate viewer; it also removes the freedom to choose - what
> if you don't like the Java applet provided?
>
> Before we all go and reinvent the wheel, and we have 30 different java
> applets to rotate a molecule, can we discuss what's the "best" way to provide
> the data to the general community?
>
> Steve
>
>-- End of excerpt from Steven Bachrach

Here are my $0.02 on that subject:

1) Without doubt, the Java approach of having a Web-site publish the data _and_
the means (i.e., the applet) to view the data is the most intelligent solution
to this whole problem area this far!

2) Nevertheless, I see two problems with that:

	a) It simply takes too long to download data+Applet every time you want
	to have a look at the data.

	b) While the Applet-approach potentially offers the possibility to
	publish every possible type of data (i.e., perfect freedom to choose
	on the publishers side) in practice, many pieces of data will still
	belong to one of the types already available as chemical MIME types.

3) A solution might be, to agree upon and develop _one_ set of Java-classes
commonly needed by chemical data viewers: Handling PDB files, displaying and
manipulating molecules, ... (in short: the handling and displaying of chemical
MIME types.)
This set will be useful to every Java-developer working in chemistry.
As I understand Java, these classes could be stored locally (just like the
classes being part of standard Java are), so that the process of repeatedly
downloading them over the network is not necessary.
Someone putting a PDB file on his Web-page just has to put a tiny Applet along
with the data, that uses these standard chemical Java classes which would
already be available on every chemists machine.
Someone putting more sophisticated data on his page has to spice up his Applet
with non-standard chemical classes, that would have to be downloaded over the
net for every access to the data.

	Gerald
--
Gerald Loeffler
PhD student in Theoretical Biochemistry

EMail: [email-masked]
Phone: +43 1 40480 612
Fax:   +43 1 4028525
SMail: University of Vienna
       Institute for Theoretical Chemistry
       Theoretical Biochemistry Group
       Waehringerstrasse 17/Parterre
       A-1090 Wien, Austria

---

From: Tim Maffett <[email-masked]>
Date: Thu, 04 Apr 1996 09:18:43 -0800

>rep to show it to you!). I would like to use the plug-in Chime from MDL, but

  Our Chemscape Chime Netscape Plug-In will also be available for SGI IRIX
and Macintosh 68k/PPC.  
  We are working with SGI to get the IRIX version available as soon as
possible.

>if you don't like the Java applet provided?

  Chime 0.8b provides a 'Save' menu item which allows a user to save
the molecule file to his local disk.  From there the user can use his
molecular viewer of choice to display the molecule.  It is not MDL's
intention to replace all molecular viewer technology with Chime, we
are just trying to make it easy to have *some* way of viewing chemical
structures withing a web page.
  Future versions of Chime will provide export type functionality
which will allow the user to save the molecule file locally in various
common molecule file formats,  e.g., This will allow the user to view an
XYZ file within a webpage, but save it locally as a MOLfile in order
to read it into a program that only supports MOLfiles.
 
>Steven Bachrach				
>Department of Chemistry
>Northern Illinois University
>DeKalb, Il 60115			Phone: (815)753-6863
>[email-masked]			Fax:   (815)753-4802

-tim